# reperesents the gift card you buy from the site (but physical gift card is modeled by GiftCard)
module JamRuby
  class GiftCardPurchase < ActiveRecord::Base

    @@log = Logging.logger[GiftCardPurchase]

    attr_accessible :user, :gift_card_type

    def name
      gift_card_type.sale_display
    end

    # who purchased the card?
    belongs_to :user, class_name: "JamRuby::User"
    belongs_to :gift_card_type, class_name: "JamRuby::GiftCardType"
  end
end
